@@ -24,5 +24,6 @@ m4_include([platform/linux-generic/m4/odp_pcap.m4])
AC_CONFIG_FILES([platform/linux-generic/Makefile
platform/linux-generic/test/Makefile
+ platform/linux-generic/test/performance/Makefile
platform/linux-generic/test/validation/Makefile
platform/linux-generic/test/validation/pktio/Makefile])
@@ -1 +1 @@
-SUBDIRS = validation
+SUBDIRS = validation performance
new file mode 100644
@@ -0,0 +1 @@
+tests-performance.env
new file mode 100644
@@ -0,0 +1,26 @@
+include $(top_srcdir)/test/Makefile.inc
+TESTS_ENVIRONMENT += TEST_DIR=${top_builddir}/test/performance
+
+if test_perf
+TESTS = odp_scheduling_proc_run
+endif
+
+dist_check_SCRIPTS = ../run-test tests-performance.env $(LOG_COMPILER) \
+ odp_scheduling_proc_run
+
+test_SCRIPTS = $(dist_check_SCRIPTS)
+
+if test_installdir
+installcheck-local:
+ $(DESTDIR)/$(testdir)/run-test
+endif
+
+
+clean-local:
+ rm -rf $(builddir)/tests-performance.env
+
+.PHONY: tests-performance.env
+tests-performance.env:
+ @echo "TESTS=\"$(TESTS)\"" > $@
+ @echo "$(TESTS_ENVIRONMENT)" >> $@
+ @echo "LOG_COMPILER=\"$(LOG_COMPILER)\"" >> $@
new file mode 100755
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Copyright (c) 2016, Linaro Limited
+# All rights reserved.
+#
+# SPDX-License-Identifier: BSD-3-Clause
+#
+# Script that passes command line arguments to odp_scheduling test when
+# launched by 'make check'
+TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+
+PATH=${TEST_DIR}:$PATH
+PATH=$(dirname $0)/../../../../test/performance:$PATH
+
+ret=0
+
+run()
+{
+ echo odp_scheduling_proc_run starts with $1 worker threads
+ echo ===============================================
+
+ odp_scheduling${EXEEXT} -c $1 --proc || ret=1
+}
+
+run 1
+run 8
+
+exit $ret
Add new platform test infrastructure to run the scheduler performance test in process mode. Signed-off-by: Mike Holmes <mike.holmes@linaro.org> --- platform/linux-generic/m4/configure.m4 | 1 + platform/linux-generic/test/Makefile.am | 2 +- platform/linux-generic/test/performance/.gitignore | 1 + .../linux-generic/test/performance/Makefile.am | 26 ++++++++++++++++++++ .../test/performance/odp_scheduling_proc_run | 28 ++++++++++++++++++++++ 5 files changed, 57 insertions(+), 1 deletion(-) create mode 100644 platform/linux-generic/test/performance/.gitignore create mode 100644 platform/linux-generic/test/performance/Makefile.am create mode 100755 platform/linux-generic/test/performance/odp_scheduling_proc_run